import { ConnectionPoolAdapter } from './base/connectionPool';
import { ConnectionAdapter } from './base/connection';
import { ConnectionConfig } from '../../domain';
import { Helper } from '../../../shared/application';
import { Connection } from '../../application';
import { MappingConfigService, Data } from 'lambdaorm-base';
import { DialectService } from '../../../language/application';
import { Query } from '../../../query/domain';
export declare class SQLjsConnectionPoolAdapter extends ConnectionPoolAdapter {
    private static lib;
    private db;
    constructor(config: ConnectionConfig, helper: Helper);
    init(): Promise<void>;
    acquire(): Promise<Connection>;
    release(_connection: Connection): Promise<void>;
    end(): Promise<void>;
}
export declare class SQLjsConnectionAdapter extends ConnectionAdapter {
    select(mapping: MappingConfigService, dialect: DialectService, query: Query, data: Data): Promise<any>;
    insert(mapping: MappingConfigService, dialect: DialectService, query: Query, data: Data): Promise<number>;
    bulkInsert(mapping: MappingConfigService, dialect: DialectService, query: Query, array: any[]): Promise<number[]>;
    update(mapping: MappingConfigService, dialect: DialectService, query: Query, data: Data): Promise<number>;
    delete(mapping: MappingConfigService, dialect: DialectService, query: Query, data: Data): Promise<number>;
    execute(query: Query): Promise<any>;
    executeDDL(query: Query): Promise<any>;
    executeSentence(sentence: any): Promise<any>;
    beginTransaction(): Promise<void>;
    commit(): Promise<void>;
    rollback(): Promise<void>;
    protected _execute(mapping: MappingConfigService, dialect: DialectService, query: Query, data: Data): Promise<any>;
    protected _query(mapping: MappingConfigService, dialect: DialectService, query: Query, data: Data): Promise<any[]>;
}
